--------------------------------------------------
-- env_pkg.vhd
-- by Toshio Iwata at digitalfilter.com 2004/09/09

package env_pkg is

  ----------------------------------------------------------------------------
  --
  --  Chip Related Constants
  --
  ----------------------------------------------------------------------------
 -- Change sv_fsclk_value to change Sampling Frequency
  constant sv_fsclk_period : time := 45 us; -- FSCLK = 22050Hz
  constant sv_fsclk_value : real := 45.0e-6; -- FSCLK = 22050Hz

 -- Change sv_fsig to change input signal frequency
  constant sv_fsig : real := 1000.0; -- Signal Frequency = 1000Hz

 -- Change sv_amp to change magnitude of input signal
  constant sv_amp : real := 32767.5; -- Full range for 16 bits 

end env_pkg ;

package body env_pkg is

end env_pkg;

